<?php
//Incluimos conexion a la base de 
require_once('../config/Conexion.php');

Class Categoria
{
  //Implementando nuestro constructor
  public function __construct()
  {

  }
    
      public function insertar($nombre,$descripcion,$condicion) {

        $query = "SELECT count(codigo)+1 as codigo FROM categoria";
        $resultado = ejecutarConsultaSimpleFila($query);
        $codigo= $resultado['codigo'];

        $sql = "INSERT INTO categoria(nombre,descripcion,condicion,codigo) 
                VALUES ('$nombre','$descripcion','$condicion','$codigo')";
        return ejecutarConsulta($sql);
    }

    // Método para editar
    public function editar($idcategoria,$nombre,$descripcion,$condicion) {
        $sql = "UPDATE categoria SET 
                nombre = '$nombre', 
                descripcion = '$descripcion', 
                condicion = '$condicion'                 
                WHERE idcategoria = '$idcategoria'";
        return ejecutarConsulta($sql);
    }

    public function listarcategoria()
    {
      $sql=" SELECT * FROM categoria";
      return ejecutarConsulta($sql);

    }

    public function mostrar($idcategoria)
    {
      $sql="SELECT * FROM categoria where idcategoria='$idcategoria'";
      return ejecutarConsultaSimpleFila($sql);

    }

    //Implementamos un metodo para eliminar registro
    public function eliminar($idcategoria)
    {
      $sql="DELETE FROM categoria where idcategoria='$idcategoria' ";
      return ejecutarConsulta($sql);
    }

    //Implementar metodo para listar los registros
    public function selectCategoria()
    {
      $sql="SELECT * FROM categoria WHERE condicion='1'";
      return ejecutarConsulta($sql);

    }



}


?>